<?php

require('ajax/is_logged.php');
require('fpdf/fpdf.php');
require_once ("config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
require_once ("config/conexion.php");//Contiene funcion que conecta a la base de datos

$pdf = new FPDF();
$pdf->AddPage();
$pdf->SetFont('Arial', '', 10);
$pdf->Image('img/CINTILLO-WEB.jpg' , 5 ,5, 200 , 20,'JPG');
$pdf->Cell(18, 10, '', 0);
$pdf->SetFont('Arial', '', 9);
$pdf->Ln(15);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(75, 8, '', 0);
$pdf->Cell(100, 8, 'CUENTAS POR COBRAR', 0);
$pdf->Ln(10);
$pdf->Cell(85, 8, '', 0);
$pdf->Cell(100, 8,'AL '.date('d-m-Y'),200);
$pdf->Ln(15);
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(10, 8, '#', 0);
$pdf->Cell(30, 8, 'FECHA DE COMPRA', 0);
$pdf->Cell(25, 8, 'FACTURA', 0);
$pdf->Cell(60, 8, 'CLIENTE', 0);
$pdf->Cell(25, 8, 'MONTO', 0);
$pdf->Cell(25, 8, 'ABONO', 0);
$pdf->Cell(25, 8, 'POR PAGAR', 0);

$pdf->Ln(8);
$pdf->SetFont('Arial', '', 8);


//CONSULTA
$dato = $_GET['dato'];		
$sTable = " ";
$sWhere = " ";
$cond="Liquidar";

if($_GET['dato']!="") 
{
	$cliente=mysqli_query($con,"select * from clientes where nombre_cliente like '%$dato%'");
	$res_cliente=mysqli_fetch_array($cliente);
	$id_cli=$res_cliente['id_cliente'];
	
	$sTable.= "facturas ";
	$sWhere.= "WHERE (id_cliente = '$id_cli') AND estado_factura='1' AND condiciones='$cond' ORDER BY id_factura ASC";
}
else
{
	$sTable.= "facturas ";
	$sWhere.= "WHERE estado_factura='1' AND condiciones='$cond'";	
}


$sql="SELECT * FROM  $sTable $sWhere";
$query = mysqli_query($con, $sql);

    $item=0;
	$total=0;
	while ($dato=mysqli_fetch_array($query))
				{
					$cli=$dato['id_cliente'];
					$con_cliente = mysqli_query($con,"select * from clientes where id_cliente='$cli'");
					$da=mysqli_fetch_array($con_cliente);
					$tipo_cliente=$da['organizacion_cliente'];
					$dir_cliente=$da['direccion_cliente'];
					$nom_cliente=$da['nombre_cliente'];
					$fecha=$dato['fecha_factura'];
					$num=$dato['numero_factura'];
					
   					$base=$dato['total_venta']/(1+(TAX/100));
					$basef=number_format($base,2,",", ".");
					
					$iva=($base*TAX)/100;
					$ivaf=number_format($iva,2,",", ".");
					
					$por=$dato['total_venta'];
					$porf=number_format($por,2,",", ".");
					$abono=0;
					$cobrar=$por-$abono;
					
					$id=$dato['id_factura'];

					$item=$item+1;
	
	$pdf->Cell(10, 8, $item, 0);
	$pdf->Cell(30, 8,$fecha, 0);
	$pdf->Cell(25, 8,$num, 0);
	$pdf->Cell(60, 8,$nom_cliente, 0);
	$pdf->Cell(25, 8,'$ '.$porf, 0);
	$pdf->Cell(25, 8,'$ '.$abono, 0);
	$pdf->Cell(25, 8,'$ '.$cobrar, 0);
	$pdf->Ln(5);
	
	$total=$total+$cobrar;		
	
}
$pdf->Ln(20);
	$pdf->SetFont('Arial', 'B', 10);
	$pdf->Cell(150,8,'',0);
    $pdf->Cell(25,8,'Total Por Cobrar:  $ '.$total,0);
  
$pdf->Ln(30);
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(75,8,'',0);
$pdf->Cell(23,8,'__________________________________',0);
$pdf->Ln(5);
$pdf->Cell(95,8,'',0);
$pdf->Cell(16,8,$_SESSION['usuario'],0);
$pdf->Ln(5);
$pdf->Cell(71,8,'',0);
$pdf->Cell(16,8,NOMBRE_EMPRESA,0);
$pdf->Output('cuentas_por_cobrar.pdf','D');
?>